
Foreman - Refactor #32083

Refactor # 32071 (Ready For Testing): Improve compute VM handling

Use host for rendering the compute tab on new HostForm

03/12/2021 04:07 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8393

  

Description

Associated revisions

Revision b089ed9e - 04/23/2021 07:31 AM - Ondřej Ezr

Fixes #32083 - use full Host model in VM template

For rendering `hosts/_compute` we've used just host attributes in the

past, but it just brings more complexity, when we cant rely on the Host

model to be around.

This builds the Host model instead and passes it to the templates.

History

#1 - 03/24/2021 02:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8393 added

#2 - 04/23/2021 07:31 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/23/2021 08:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b089ed9ed4d9d547f8f626057da638d001dc65c7.

#4 - 05/05/2021 02:27 PM - Tomer Brisker

- Category set to Web Interface
